|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::PhysicsHingeConstraint Class Reference

`#include <PhysicsHingeConstraint.h>`

Inheritance diagram for gameplay::PhysicsHingeConstraint:

List of all members.

## Public Member Functions

void | setLimits (float minAngle, float maxAngle, float bounciness=1.0f)

## Detailed Description

Defines a hinge constraint between two rigid bodies (or one rigid body and the world) where movement is restricted to rotation about one axis.

See also:
  http://gameplay3d.github.io/GamePlay/docs/file-formats.html#wiki-Constraints

## Member Function Documentation

void gameplay::PhysicsHingeConstraint::setLimits | ( | float | minAngle,
|  | float | maxAngle,
|  | float | bounciness = `1.0f`
| ) |  |

Sets the limits (and optionally, some properties) for the hinge.

Parameters:

  minAngle | The minimum angle for the hinge.
  maxAngle | The maximum angle for the hinge.
  bounciness | The bounciness of the hinge (this is applied as a factor to the incoming velocity when a hinge limit is met in order to calculate the outgoing velocity-for example, 0.0 corresponds to no bounce and 1.0 corresponds to an outgoing velocity that is equal in magnitude to the incoming velocity).

All Classes Functions Variables Typedefs Enumerations Enumerator